FreeMat

- Main Page
- Related Pages

RANDEXP Generate Exponential Random Variable

Section: Random Number Generation

# Usage

Generates a vector of exponential random variables with the specified parameter. The general syntax for its use is

       y = randexp(lambda)

where `lambda` is a vector containing the parameters for the generated random variables.

# Internals

The exponential random variable is usually associated with the waiting time between events in a Poisson random process. The PDF of an exponential random variable is:

# Example

Here is an example of using the `randexp` function to generate some exponentially distributed random variables

    --> randexp(ones(1,6))

    ans =
        0.7969    0.2401    0.5891    1.5129    0.9998    2.7738